<script setup lang="ts">
import { useTemperatureStore } from '@/stores/temperature'

const temperatureStore = useTemperatureStore()
</script>

<template>
  <v-form v-model="temperatureStore.valid">
    <v-container>
      <v-row>
        <v-col cols="12" md="4">
          <v-text-field
            v-model.number="temperatureStore.celsius"
            :rules="[
              (v) => !!v || 'Celsius in not empty!!!',
              (v) => !isNaN(parseFloat(v)) || 'Celsius musb be number!!!'
            ]"
            label="Celsius"
            required
            hide-details
          ></v-text-field>
        </v-col>

        <v-col cols="12" md="4">
          <v-btn @click="temperatureStore.callConvert()">Calculate</v-btn>
        </v-col>

        <v-col cols="12" md="4">
          <div>{{ temperatureStore.result }}</div>
        </v-col>
      </v-row>
    </v-container>
  </v-form>
</template>

<style scoped></style>
